Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.container
Enum PluginManager.License

    java.lang.Object
      java.lang.Enum<PluginManager.License>
          org.jivesoftware.openfire.container.PluginManager.License

All Implemented Interfaces:
  Serializable, Comparable<PluginManager.License>

Enclosing class:
  PluginManager

    public static enum PluginManager.License

extends Enum<PluginManager.License>

An enumberation for plugin license agreement types.

Enum Constant Summary
`apache` The plugin is distributed using the Apache license.
`commercial` The plugin is distributed using a commercial license.
`gpl` The plugin is distributed using the GNU Public License (GPL).
`internal` The plugin is for internal use at an organization only and is not re-distributed.
`other` The plugin is distributed under another license agreement not covered by one of the other choices.

Method Summary
`static PluginManager.License` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PluginManager.License[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### commercial

    public static final PluginManager.License commercial

  The plugin is distributed using a commercial license.

### gpl

    public static final PluginManager.License gpl

  The plugin is distributed using the GNU Public License (GPL).

### apache

    public static final PluginManager.License apache

  The plugin is distributed using the Apache license.

### internal

    public static final PluginManager.License internal

  The plugin is for internal use at an organization only and is not re-distributed.

### other

    public static final PluginManager.License other

  The plugin is distributed under another license agreement not covered by one of the other choices. The license agreement should be detailed in the plugin Readme.

Method Detail

### values

    public static final PluginManager.License[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PluginManager.License c : PluginManager.License.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PluginManager.License valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.